import request from '@/utils/request'

// 查询工作中心资源月产能定义详细列表
export function listWs_res_capacity_detail(query) {
  return request({
    url: '/aps/ws_res_capacity_detail/list',
    method: 'get',
    params: query
  })
}

// 查询工作中心资源月产能定义详细详细
export function getWs_res_capacity_detail(id) {
  return request({
    url: '/aps/ws_res_capacity_detail/' + id,
    method: 'get'
  })
}

// 新增工作中心资源月产能定义详细
export function addWs_res_capacity_detail(data) {
  return request({
    url: '/aps/ws_res_capacity_detail',
    method: 'post',
    data: data
  })
}

// 修改工作中心资源月产能定义详细
export function updateWs_res_capacity_detail(data) {
  return request({
    url: '/aps/ws_res_capacity_detail',
    method: 'put',
    data: data
  })
}

// 删除工作中心资源月产能定义详细
export function delWs_res_capacity_detail(id) {
  return request({
    url: '/aps/ws_res_capacity_detail/' + id,
    method: 'delete'
  })
}

// 新增工作中心资源月产能定义
export function occupyRes(data) {
  return request({
    url: '/aps/ws_res_capacity_detail/occupyRes',
    method: 'post',
    data: data
  })
}

// 查询工作中心资源月产能定义详细列表
export function listTimes(query) {
  return request({
    url: 'main/teamtime/page?name=&factoryId=&pageNum=1&size=20',
    method: 'get',
    params: query
  })
}

// 查询工作中心资源月产能定义详细列表
export function getBomCategory(query) {
  return request({
    url: 'main/categoryparam/mBomPage?bomCategoryId=1894726133221527553&pageNum=1&size=10',
    method: 'get',
    params: null
  })
}

// 查询工作中心资源月产能定义详细列表
export function occupyAuto(data) {
  return request({
    url: '/aps/ws_res_capacity_detail/occupyAuto',
    method: 'post',
    data: data
  })
}

// 查询工作中心资源月产能定义详细列表
export function occupyResAll(data) {
  return request({
    url: '/aps/ws_res_capacity_detail/occupyResAll',
    method: 'post',
    data: data
  })
}
